CSIT-1041: Trending dashboard
[csit.git] / bootstrap-verify-perf-DPDK.sh
index 957ac46..13ef333 100755 (executable)
@@ -24,9 +24,14 @@ SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
 # Reservation dir
 RESERVATION_DIR="/tmp/reservation_dir"
 
-PYBOT_ARGS="-W 150"
+PYBOT_ARGS=""
 
-ARCHIVE_ARTIFACTS=(log.html output.xml report.html output_perf_data.xml)
+JOB_ARCHIVE_ARTIFACTS=(log.html output.xml report.html)
+LOG_ARCHIVE_ARTIFACTS=(log.html output.xml report.html)
+JOB_ARCHIVE_DIR="archive"
+LOG_ARCHIVE_DIR="$WORKSPACE/archives"
+mkdir -p ${JOB_ARCHIVE_DIR}
+mkdir -p ${LOG_ARCHIVE_DIR}
 
 # we will download the DPDK in the robot
 
@@ -46,7 +51,7 @@ pip install -r requirements.txt
 while :; do
     for TOPOLOGY in ${TOPOLOGIES};
     do
-        python ${SCRIPT_DIR}/resources/tools/topo_reservation.py -t ${TOPOLOGY}
+        python ${SCRIPT_DIR}/resources/tools/scripts/topo_reservation.py -t ${TOPOLOGY}
         if [ $? -eq 0 ]; then
             WORKING_TOPOLOGY=${TOPOLOGY}
             echo "Reserved: ${WORKING_TOPOLOGY}"
@@ -67,43 +72,39 @@ done
 
 #for DPDK test, we don't need to install the VPP deb
 function cancel_all {
-    python ${SCRIPT_DIR}/resources/tools/topo_reservation.py -c -t $1
+    python ${SCRIPT_DIR}/resources/tools/scripts/topo_reservation.py -c -t $1
 }
 
 # On script exit we cancel the reservation
 trap "cancel_all ${WORKING_TOPOLOGY}" EXIT
 
+# Based on job we will identify DUT
+if [[ ${JOB_NAME} == *hc2vpp* ]] ;
+then
+    DUT="hc2vpp"
+elif [[ ${JOB_NAME} == *vpp* ]] ;
+then
+    DUT="vpp"
+elif [[ ${JOB_NAME} == *ligato* ]] ;
+then
+    DUT="kubernetes"
+elif [[ ${JOB_NAME} == *dpdk* ]] ;
+then
+    DUT="dpdk"
+else
+    echo "Unable to identify dut type based on JOB_NAME variable: ${JOB_NAME}"
+    exit 1
+fi
+
 case "$TEST_TAG" in
     # run specific performance tests based on jenkins job type variable
-    PERFTEST_LONG )
+    VERIFY-PERF-MRR )
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -v DPDK_TEST:True \
-              -s "dpdk-tests.perf" \
-              --exclude SKIP_PATCH \
-              -i NDRPDRDISC \
-              dpdk-tests/
-        RETURN_STATUS=$(echo $?)
-        ;;
-    PERFTEST_SHORT )
-        pybot ${PYBOT_ARGS} \
-              -L TRACE \
-              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -v DPDK_TEST:True \
-              -s "dpdk-tests.perf" \
-              -i NDRCHK \
-              dpdk-tests/
-        RETURN_STATUS=$(echo $?)
-        ;;
-   PERFTEST_NIGHTLY )
-        #run all available tests
-        pybot ${PYBOT_ARGS} \
-              -L TRACE \
-              -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -v DPDK_TEST:True \
-              -s "dpdk-tests.perf" \
-              dpdk-tests/
+              -s "tests.${DUT}.perf" \
+              -i mrrAND1t1cORmrrAND2t2c \
+              tests/
         RETURN_STATUS=$(echo $?)
         ;;
     * )
@@ -111,29 +112,18 @@ case "$TEST_TAG" in
         pybot ${PYBOT_ARGS} \
               -L TRACE \
               -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-              -v DPDK_TEST:True \
-              -s "dpdk-tests.perf" \
-              dpdk-tests/
+              -s "tests.${DUT}.perf" \
+              tests/
         RETURN_STATUS=$(echo $?)
 esac
 
-# Pybot output post-processing
-echo Post-processing test data...
-
-python ${SCRIPT_DIR}/resources/tools/robot_output_parser.py \
-       -i ${SCRIPT_DIR}/output.xml \
-       -o ${SCRIPT_DIR}/output_perf_data.xml \
-       -v ${VPP_STABLE_VER}
-if [ ! $? -eq 0 ]; then
-    echo "Parsing ${SCRIPT_DIR}/output.xml failed"
-fi
-
-# Archive artifacts
-mkdir archive
-for i in ${ARCHIVE_ARTIFACTS[@]}; do
-    cp $( readlink -f ${i} | tr '\n' ' ' ) archive/
+# Archive JOB artifacts in jenkins
+for i in ${JOB_ARCHIVE_ARTIFACTS[@]}; do
+    cp $( readlink -f ${i} | tr '\n' ' ' ) ${JOB_ARCHIVE_DIR}/
+done
+# Archive JOB artifacts to logs.fd.io
+for i in ${LOG_ARCHIVE_ARTIFACTS[@]}; do
+    cp $( readlink -f ${i} | tr '\n' ' ' ) ${LOG_ARCHIVE_DIR}/
 done
-
-echo Post-processing finished.
 
 exit ${RETURN_STATUS}